Subject: Re: [PATCH] git-merge: move space to between strings

From: Junio C Hamano <[email-masked]>
Date: Sun, 18 Apr 2021 12:17:38 -0700

"Josh Soref via GitGitGadget" <[email-masked]> writes:

> From: Josh Soref <[email-masked]>
>
> Signed-off-by: Josh Soref <[email-masked]>
> ---
>     git-merge: move space to between strings
>     
>     GitHub Actions show things like:
>     
>      * branch                  master     -> FETCH_HEAD
>      (nothing to squash)Already up to date.
>     
>     
>     The expected results are:
>     
>      * branch                  master     -> FETCH_HEAD
>     (nothing to squash) Already up to date.

I am not sure if that is THE expected results, though (you wouldn't
have got this reaction if you said "I would expect to see").  

Usually, it is easier to read a message if it makes its primary
point first, before giving a parenthetical note.  I.e.  I would
expect that

	Already up to date (nothing to squash).

would be easier to understand to users.

Thanks.